version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: nginx_proxy
    ports:
      - "22:22"       # SSH 포트
      - "80:80"       # HTTP 포트
      - "443:443"     # HTTPS 포트
    network_mode: bridge
    restart: always
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf
      - ./sites-available:/etc/nginx/sites-available
      - ./sites-enabled:/etc/nginx/sites-enabled
      - ./letsencrypt:/etc/letsencrypt
      - ./ssl:/etc/nginx/ssl
      - ./ssl-certs:/etc/nginx/ssl-certs
